# Clone the warframe-items repo so we can copy the JSON files

FROM debian:stretch as items

RUN apt-get -qq update \
	&& DEBIAN_FRONTEND=noninteractive apt-get -qq install -y --no-install-recommends git ca-certificates \
	&& rm -rf /var/lib/apt/lists/*

RUN git clone --depth 1 https://github.com/WFCD/warframe-items.git /tmp/warframe-items

# Add our HTML and the JSON from warframe-items to nginx's default directory

FROM nginx

RUN rm -rf /usr/share/nginx/html

COPY html /usr/share/nginx/html
COPY --from=items /tmp/warframe-items/data/json /usr/share/nginx/html/data
